//
//  Enum+Extended.swift
//  AppleLibs
//
//  Created by Tobias on 25.04.21.
//

import Foundation

public extension CaseIterable where Self: RawRepresentable, Self.RawValue == String
{
    static var allStrings: [String] {
        Self.allCases.map({ $0.rawValue })
    }
}
