//
//  PatternDateFormatter.swift
//  AppleLibs
//
//  Created by Tobias on 08.04.22.
//

import Foundation

public extension DateFormatter
{
    static func pattern(_ pattern: String, timeZone: TimeZone = TimeZone.current) -> DateFormatter {
        let formatter = DateFormatter()
        formatter.dateFormat = pattern
        formatter.calendar = Calendar(identifier: .iso8601)
        formatter.timeZone = timeZone
        return formatter
    }
}
