//
//  Double+Rounded.swift
//  AppleLibs
//
//  Created by Tobias on 24.03.21.
//

import Foundation

public extension Double {
    func rounded(rule: NSDecimalNumber.RoundingMode, scale: Int) -> Double {
        var result: Decimal = 0
        var decimalSelf = NSNumber(value: self).decimalValue
        NSDecimalRound(&result, &decimalSelf, scale, rule)
        return (result as NSNumber).doubleValue
    }
}
